module ServicePacker::Core
  class Action
    def initialize(name, *args, &block)
      @name = name
      @args = args
      @block = block
    end

    def invoke(record, *args)
      record.instance_exec(*args, &block)
    end

    attr_reader :name, :args, :block

  end
end
